Bug 29103 - reserves.desk_id for desk of waiting hold only updates when printing new hold slip
Summary: reserves.desk_id for desk of waiting hold only updates when printing new hold...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nicolas Legrand
QA Contact: Testopia
URL:
Keywords:
Depends on: 24412
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-23 21:18 UTC by Andrew Fuerste-Henry
Modified: 2022-04-01 10:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05


Attachments
Bug 29103: Change desk when checking in a waiting reserve (1.90 KB, patch)
2022-01-18 11:03 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 29103: Change desk when checking in a waiting reserve (1.96 KB, patch)
2022-01-20 12:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29103: Change desk when checking in a waiting reserve (2.03 KB, patch)
2022-03-24 17:07 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-09-23 21:18:39 UTC
To recreate:
- turn on UseCirculationDesks and define at least 2 for your library
- set yourself to a desk using "Set library and desk"
- place a hold for pickup at your library
- check the item in, confirm the hold and print slip
- check reserves.desk_id, see it has updated to the desk you're at
- change your desk
- check the item in again, click Confirm
- check reserves.desk_id, see it has not changed
- check the item in a third again, click Confirm and Print Slip
- check reserves.desk_id again, see it has changed
Comment 1 Nicolas Legrand 2021-09-24 07:01:51 UTC
Thanks a lot Andrew! My colleagues just pointed me this one yesterday. I may try to fix it, but I'll have soon a new child so I'm not sure I'll have time to work on this one before November. I'll try next week.
Comment 2 Nicolas Legrand 2022-01-18 11:03:44 UTC
Created attachment 129546 [details] [review]
Bug 29103: Change desk when checking in a waiting reserve

A check in should relocate a waiting hold under the current desk. But
the current behaviour when confirming the hold is to dismiss the
modal, the item is still attached to the preceding desk.

This patch mimicks the print and confirm behaviour to trigger the desk
change.

Plan test:

1. Add some desks to you library (syspref UseCirculationDesks and
Administration -> Patrons and circulation -> Circulation desks.

2. Set a desk in your session (Circulation -> Set library and desk)

3. Have some waiting hold attach to a desk (make a hold on a checked
out item and return it).

4. Change your current desk.

5. Check in again the item, click on confirm.

6. Go to the item notice detail, it appears as waiting at your first
desk.

7. Apply patch.

8. Check in again the item.

9. go to the item notice detail, it should appear at your current
desk.
Comment 3 Owen Leonard 2022-01-20 12:32:16 UTC
Created attachment 129648 [details] [review]
Bug 29103: Change desk when checking in a waiting reserve

A check in should relocate a waiting hold under the current desk. But
the current behaviour when confirming the hold is to dismiss the
modal, the item is still attached to the preceding desk.

This patch mimicks the print and confirm behaviour to trigger the desk
change.

Plan test:

1. Add some desks to you library (syspref UseCirculationDesks and
   Administration -> Patrons and circulation -> Circulation desks.

2. Set a desk in your session (Circulation -> Set library and desk)

3. Have some waiting hold attach to a desk (make a hold on a checked
   out item and return it).

4. Change your current desk.

5. Check in again the item, click on confirm.

6. Go to the item notice detail, it appears as waiting at your first
   desk.

7. Apply patch.

8. Check in again the item.

9. go to the item notice detail, it should appear at your current
   desk.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2022-02-01 14:24:07 UTC
I don't really understand the change. Isn't it weird to force the submission when the button has a data-dismiss="modal"?

Shouldn't we remove this "dismiss" attribute instead?

We had lot of regressions on this page, I am a bit reluctant to submit when we were supposed not to...
Comment 5 Martin Renvoize 2022-03-24 17:07:47 UTC
Created attachment 132194 [details] [review]
Bug 29103: Change desk when checking in a waiting reserve

A check in should relocate a waiting hold under the current desk. But
the current behaviour when confirming the hold is to dismiss the
modal, the item is still attached to the preceding desk.

This patch mimicks the print and confirm behaviour to trigger the desk
change.

Plan test:

1. Add some desks to you library (syspref UseCirculationDesks and
   Administration -> Patrons and circulation -> Circulation desks.

2. Set a desk in your session (Circulation -> Set library and desk)

3. Have some waiting hold attach to a desk (make a hold on a checked
   out item and return it).

4. Change your current desk.

5. Check in again the item, click on confirm.

6. Go to the item notice detail, it appears as waiting at your first
   desk.

7. Apply patch.

8. Check in again the item.

9. go to the item notice detail, it should appear at your current
   desk.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2022-03-24 17:08:09 UTC
Good catch, simple fix, works and no regressions found.

Passing QA
Comment 7 Fridolin Somers 2022-03-25 21:01:46 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Kyle M Hall 2022-04-01 10:36:22 UTC
Pushed to 21.11.x for 21.11.05